月度归档:2013年01月

删除.svn文件夹,清除版本控制信息

今天想把一个ThinkPHP项目里面的一些代码放到另一个项目当中,
发现版本控制出现问题,最后核实是,之前的ThinkPHP核心带有googlecode上面svn的信息
现在要清除目录下的SVN信息,在网上找了找,说是有三种方法:

一、在linux下

删除这些目录是很简单的,命令如下

或者

 

 

二、在windows下用以下法子

1、在项目平级的目录,执行dos命令:

2、或者在项目根目录执行以下dos命令

其实第二种方法可以用来干很多事的,比如把代码中的.svn替换为任意其他文件名并在硬盘根目录下执行,就可以从硬盘上删除所有的这个文件啦。

三、添加注册表
个人觉得这个就没必要了。谁还天天干这事,找到方法就可以了,没必要给自己电脑的注册表加多余的东西(PS:个人喜欢纯净的东西)

MySQL GRANT ALL PRIVILEGES 方法允许远程登录

GRANT ALL PRIVILEGES

1. 授权法。

例如,你想myuser使用mypassword从任何主机连接到mysql服务器的话。

以下是Sql代码

注意:root@localhost和密码mysql用的是引号

如果你想允许用户myuser从ip为192.168.1.3的主机连接到mysql服务器,并使用mypassword作为密码

Sql代码

如果你想允许用户myuser从ip为192.168.1.6的主机连接到mysql服务器的dk数据库,并使用mypassword作为密码
Sql代码

注意授权后必须FLUSH PRIVILEGES;否则无法立即生效。

例子:授权用户www对数据库onethink有select,delete,update,insert权限,登录密码为admin123

 

2. 改表法。

thinkphp隐藏URL里面含有index.php

通常的URL里面含有index.php,为了达到更好的SEO效果可能需要去掉URL里面的index.php ,通过URL重写的方式可以达到这种效果,通常需要服务器开启URL_REWRITE模块才能支持。
下面是Apache的配置过程,可以参考下:
1、httpd.conf配置文件中加载了mod_rewrite.so模块
为了正常启用URL Rewrite,
请将apache配置文件中“LoadModule rewrite_module modules/mod_rewrite.so”前的注释去掉,

2、AllowOverride None 将None改为 All
并将apache的DocumentRoot开启AllowOverride

如下所示为apache下httpd.conf的代码片段:

3、确保URL_MODEL设置为2

4、把下面的内容保存为.htaccess文件放到入口文件的同级目录下

重启Apache之后,原来的
http://www.zzs.me/index.php/Blog/read/id/1
就可以通过访问
http://www.zzs.me/Blog/read/id/1
简化了URL地址。

使用 Html 判断IE浏览器的版本

在页面布局的时候,浏览器兼容性是一个大家都觉得头疼的问题。同时,有人会试图使用<!–[if !IE]>来定义非IE浏览器下的状况,但注意:条件注释只有在IE浏览器下才能执行,这个代码在非IE浏览下非单不是执行该条件下的定义,而是当做注释视而不见。
正常就是默认的样式,对IE浏览器需要特殊处理的,才进行条件注释。
在HTML文件里,而不能在CSS文件中使用。 html判断IE版本
1. <!–[if !IE]><!–> 除IE外都可识别 <!–<![endif]–>
2. <!–[if IE]> 所有的IE可识别 <![endif]–>
3. <!–[if IE 5.0]> 只有IE5.0可以识别 <![endif]–>
4. <!–[if IE 5]> 仅IE5.0与IE5.5可以识别 <![endif]–>
5. <!–[if gt IE 5.0]> IE5.0以及IE5.0以上版本都可以识别 <![endif]–>
6. <!–[if IE 6]> 仅IE6可识别 <![endif]–>
7. <!–[if lt IE 6]> IE6以及IE6以下版本可识别 <![endif]–>
8. <!–[if gte IE 6]> IE6以及IE6以上版本可识别 <![endif]–>
9. <!–[if IE 7]> 仅IE7可识别 <![endif]–>
10. <!–[if lt IE 7]> IE7以及IE7以下版本可识别 <![endif]–>
11. <!–[if gte IE 7]> IE7以及IE7以上版本可识别 <![endif]–>
<!–[if lte IE 6]>……<![endif]–>
Ite:less than or equal to意思是小于或等于IE6浏览器,用于IE浏览器的条件注释,常用于CSShack,针对IE的JS等。
在进行WEB标准网页的学习和应用过程中,网页对浏览器的兼容性是经常接触到的一个问题。其中因微软公司的Internet Explorer(简称IE)占据浏览器市场的大半江山,此外还有Firefox、Opera等。需要对这些浏览器进行兼容。
同时,单就IE而言,因IE版本的升级更替,目前浏览者使用的主要停留在 IE5(IE5.5)、IE6和IE7这三个版本中。而这3个版本对于我们制作的WEB标准网页(XHTML+CSS)解释执行的显示状况不尽相同。并 且,其他非IE浏览器与IE对某些CSS解释也不一样。所以,通过IE浏览器中的专有条件注释可有针对性的进行相关属性的定义。
条件注释只能用于Explorer 5+ Windows(以下简称IE)(条件注释从IE5开始被支持)。如果你安装了多个IE,条件注释(Conditional comments)将会以最高版本的IE为标准(目前为IE 7)。
条件注释只能在windows Internet Explorer(以下简称IE)下使用,因此我们可以通过条件注释来为IE添加特别的指令。
通俗点,条件注释就是一些if判断,但这些判断不是在脚本里执行的,而是直接在html<a href=”http://www.ijingxuan.com/list-7-1.html” target=”_blank”>代码</a>里执行的,比如:
<!–[if IE]>
这里是正常的html<a href=’http://www.ijingxuan.com/list-7-1.html’ target=’_blank”>代码</a>
<![endif]–>
1,条件注释的基本结构和HTML的注释(<!– –>)是一样的。因此IE以外的浏览器将会把它们看作是普通的注释而完全忽略它们。
2,IE将会根据if条件来判断是否如解析普通的页面内容一样解析条件注释里的内容。
3,条件注释使用的是HTML的注释结构,因此他们只能使用在HTML文件里,而不能在CSS文件中使用。
可使用如下代码检测当前IE浏览器的版本(注意:在非IE浏览器中是看不到效果的)
<!–[if IE]>
<h1>您正在使用IE浏览器</h1>
<!–[if IE 5]>
<h2>版本 5</h2>
<![endif]–>
<!–[if IE 5.0]>
<h2>版本 5.0</h2>
<![endif]–>
<!–[if IE 5.5]>
<h2>版本 5.5</h2>
<![endif]–>
<!–[if IE 6]>
<h2>版本 6</h2>
<![endif]–>
<!–[if IE 7]>
<h2>版本 7</h2>
<![endif]–>
<![endif]–>
那如果当前的浏览器是IE,但版本比IE5还低,该怎么办呢,可以使用<!–[if ls IE 5]>,当然,根据条件注释只能在IE5+的环境之下,所以<!–[if ls IE 5]>根本不会被执行。
lte:就是Less than or equal to的简写,也就是小于或等于的意思。
lt :就是Less than的简写,也就是小于的意思。
gte:就是Greater than or equal to的简写,也就是大于或等于的意思。
gt :就是Greater than的简写,也就是大于的意思。
! :就是不等于的意思,跟javascript里的不等于判断符相同
Conditional comments属于CSS hack? 条件判断属于CSS hack吗?
严格地说是属于CSS hack。因为就好象其他真正的css hack一样,它使得我们可以给一些浏览器赋予特殊的样式,再则它不依赖于某个浏览器的BUG来控制另外一个浏览器(的样式)。除此之外,条件判断还能用 来做一些超出CSS HACK范围的事情(虽然这种情况很少发生)。
因为条件判断不依赖于某个浏览器的hack,而是一个经过深思熟虑的特色功能,所以我相信它是可以被放心地使用的。当然,其他浏览器也有可能支持条件判断(到目前为止还没有),但是看起来,他们应该不会使用如<!–[if IE]>这样的语法。
应该如何应用条件注释
本文一开始就说明了,因为IE各版本的浏览器对我们制作的WEB标准的页面解释不一样,具体就是对CSS的解释不同,我们为了兼容这些,可运用条件注释来各自定义,最终达到兼容的目的。比如:
<!– 默认先调用css.css样式表 –>
<link rel=”stylesheet” type=”text/css” href=”css.css” />
<!–[if IE 7]>
<!– 如果IE浏览器版是7,调用ie7.css样式表 –>
<link rel=”stylesheet” type=”text/css” href=”ie7.css” />
<![endif]–>
<!–[if lte IE 6]>
<!– 如果IE浏览器版本小于等于6,调用ie.css样式表 –>
<link rel=”stylesheet” type=”text/css” href=”ie.css” />
<![endif]–>
这其中就区分了IE7和IE6向下的浏览器对CSS的执行,达到兼容的目的。同时,首行默认的css.css还能与其他非IE浏览器实现兼容。
注意:默认的CSS样式应该位于HTML文档的首行,进行条件注释判断的所有内容必须位于该默认样式之后。
比如如下代码,在IE浏览器下执行显示为红色,而在非IE浏览器下显示为黑色。如果把条件注释判断放在首行,则不能实现。该例题很能说明网页对IE浏览器和非IE浏览器间的兼容性问题解决。
<style type=”text/css”>
body{
background-color: #000;
}
</style>
<!–[if IE]>
<style type=”text/css”>
body{
background-color: #F00;
}
</style>
<![endif]–>